/* 
 * (c) 2015 - 2023 Juan Balderas
 * This file is part of Dibuja.

 * Dibuja is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Dibuja is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Dibuja.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef _COLOR_H_
	#define _COLOR_H_

#include <gtk/gtk.h>
#include <glib/gi18n.h>

#define N_BUTTONS (20)


#define __SCCOLOR_DEFINED__
typedef struct{
	double r, g, b, a;
}SCColor;

static const SCColor default_colors[N_BUTTONS] = {
/* black       */  {0.000000, 0.000000, 0.000000, 1.000000},
/* white       */  {1.000000, 1.000000, 1.000000, 1.000000},
/* gray50      */  {0.498039, 0.498039, 0.498039, 1.000000},
/* red         */  {1.000000, 0.000000, 0.000000, 1.000000},
/* purple      */  {0.501961, 0.000000, 0.501961, 1.000000},
/* blue        */  {0.000000, 0.000000, 1.000000, 1.000000},
/* light blue  */  {0.678431, 0.847059, 0.901961, 1.000000},
/* green       */  {0.000000, 0.501961, 0.000000, 1.000000},
/* yellow      */  {1.000000, 1.000000, 0.000000, 1.000000},
/* orange      */  {1.000000, 0.647059, 0.000000, 1.000000},
/* lavender    */  {0.901961, 0.901961, 0.980392, 1.000000},
/* brown       */  {0.647059, 0.164706, 0.164706, 1.000000},
/* goldenrod4  */  {0.545098, 0.411765, 0.078431, 1.000000},
/* dodger blue */  {0.117647, 0.564706, 1.000000, 1.000000},
/* pink        */  {1.000000, 0.752941, 0.796078, 1.000000},
/* light green */  {0.564706, 0.933333, 0.564706, 1.000000},
/* gray10      */  {0.101961, 0.101961, 0.101961, 1.000000},
/* gray30      */  {0.301961, 0.301961, 0.301961, 1.000000},
/* gray75      */  {0.749020, 0.749020, 0.749020, 1.000000},
/* gray90      */  {0.898039, 0.898039, 0.898039, 1.000000}
};

void color_init(GtkBuilder *builder, double fg[4], double bg[4]);
void color_edit_dialog(GtkWidget *w);
void
color_sccolor2rgba(SCColor *color, guchar *r, guchar *g, guchar *b, guchar *a);
void color_button_get_sccolor(GtkWidget *button, SCColor *color);
void color_parse_str(SCColor *sccolor, const gchar *spec);

#endif
