/*
 * dibujacolorbutton.h
 * 
 * Copyright 2023 Unknown <juan@localhost.localdomain>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */


#ifndef DIBUJACOLORBUTTON_H_
#define DIBUJACOLORBUTTON_H_ 1

#include <gtk/gtk.h>
#include "color.h"

G_BEGIN_DECLS


#define DIBUJA_TYPE_COLOR_BUTTON             (dibuja_color_button_get_type ())
#define DIBUJA_COLOR_BUTTON(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), DIBUJA_TYPE_COLOR_BUTTON, DibujaColorButton))
#define DIBUJA_COLOR_BUTTON_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass), DIBUJA_TYPE_COLOR_BUTTON, DibujaColorButtonClass))
#define DIBUJA_IS_COLOR_BUTTON(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DIBUJA_TYPE_COLOR_BUTTON))
#define DIBUJA_IS_COLOR_BUTTON_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass), DIBUJA_TYPE_COLOR_BUTTON))
#define DIBUJA_COLOR_BUTTON_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), DIBUJA_TYPE_COLOR_BUTTON, DibujaColorButtonClass))

typedef struct _DibujaColorButton         DibujaColorButton;
typedef struct _DibujaColorButtonClass    DibujaColorButtonClass;
typedef struct _DibujaColorButtonPrivate  DibujaColorButtonPrivate;

struct _DibujaColorButton
{
  GtkButton parent;
  /* add your public declarations here */
  DibujaColorButtonPrivate *priv;
};

struct _DibujaColorButtonClass
{
  GtkButtonClass parent_class;
  void (* button_color_selected)(DibujaColorButton *button);
};


GType dibuja_color_button_get_type(void);

GtkWidget *dibuja_color_button_new(SCColor *color);
void dibuja_color_button_set_color(DibujaColorButton *button, SCColor *color);
void dibuja_color_button_get_color(DibujaColorButton *button, SCColor *color);

G_END_DECLS

#endif /* DIBUJACOLORBUTTON_H_ */
