/*
 * (c) 2023 Juan Balderas
 * This file is part of Dibuja.

 * Dibuja is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Dibuja is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Dibuja.  If not, see <https://www.gnu.org/licenses/>.
 */


#ifndef DIBUJAFONTBUTTON_H_
#define DIBUJAFONTBUTTON_H_ 1

#include <gtk/gtk.h>

G_BEGIN_DECLS


#define DBJ_TYPE_FONT_BUTTON             (dbj_font_button_get_type ())
#define DBJ_FONT_BUTTON(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), DBJ_TYPE_FONT_BUTTON, DbjFontButton))
#define DBJ_FONT_BUTTON_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass), DBJ_TYPE_FONT_BUTTON, DbjFontButtonClass))
#define DBJ_IS_FONT_BUTTON(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DBJ_TYPE_FONT_BUTTON))
#define DBJ_IS_FONT_BUTTON_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass), DBJ_TYPE_FONT_BUTTON))
#define DBJ_FONT_BUTTON_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), DBJ_TYPE_FONT_BUTTON, DbjFontButtonClass))

typedef struct _DbjFontButton         DbjFontButton;
typedef struct _DbjFontButtonClass    DbjFontButtonClass;
typedef struct _DbjFontButtonPrivate  DbjFontButtonPrivate;

struct _DbjFontButton{
  GtkButton parent;
  /* add your public declarations here */
  DbjFontButtonPrivate *priv;
};

struct _DbjFontButtonClass{
  GtkButtonClass parent_class;
  void (* font_selected)(DbjFontButton *button);
};


GType dbj_font_button_get_type(void);

GtkWidget *dbj_font_button_new(void);
void dbj_font_button_set_font_name(DbjFontButton *button, char *fname);
char *dbj_font_button_get_font_name(DbjFontButton *button);

G_END_DECLS

#endif /* DIBUJAFONTBUTTON_H_ */
