/* 
 * (c) 2015 - 2023 Juan Balderas
 * This file is part of Dibuja.

 * Dibuja is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Dibuja is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Dibuja.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef _EXIF_H_
#define _EXIF_H_

#include <gtk/gtk.h>
#include <gexiv2/gexiv2.h>

typedef void (*MetadataCallback)(GtkWidget *table, int *row, const char *label, const char *value);

void metadata_read(const char *filename, MetadataCallback callback, GtkWidget *table, gint *row);
GExiv2Metadata *metatada_get(const char *filename);
void metadata_save(GExiv2Metadata *meta, const char *filename);
gboolean metadata_can_write_to(char *format);


#endif
