/* 
 * (c) 2023 Juan Balderas
 * This file is part of Dibuja.

 * Dibuja is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Dibuja is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Dibuja.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef _SEL_FRAME_H_
#define _SEL_FRAME_H_

#include <gtk/gtk.h>


typedef enum{
	SEL_FRAME_NONE = 0,
	SEL_FRAME_RECT,
	SEL_FRAME_ELLIP,
	SEL_FRAME_FREE,
	SEL_FRAME_LAST
}SelFrameType;

typedef struct _SelFrame SelFrame;

SelFrame *sel_frame_create(SelFrameType sel_type, int x, int y);
void sel_frame_destroy(SelFrame *sel_frame);
void sel_frame_get_area(SelFrame *sel_frame, GdkRectangle *r);
void sel_frame_add_point(SelFrame *sel_frame, int x, int y, guint state);
SelFrameType sel_frame_get_type(SelFrame *sel_frame);
void sel_frame_draw(SelFrame *sel_frame, cairo_t *cr);
void sel_frame_finish(SelFrame *sel_frame);
GArray *sel_frame_get_pts(SelFrame *sel_frame);

#endif